Bug 469897 - Review Request: swingx - A collection of powerful, useful, and just plain fun Swing components
Review Request: swingx - A collection of powerful, useful, and just plain fun...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 11:46 EST by Mary Ellen Foster
Modified: 2009-01-07 23:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 23:17:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
felix: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2008-11-04 11:46:17 EST
Spec URL: http://mef.fedorapeople.org/packages/java-libraries/swingx.spec
SRPM URL: http://mef.fedorapeople.org/packages/java-libraries/swingx-0.9.4-1.src.rpm

Description:
SwingX contains a collection of powerful, useful, and just plain fun Swing
components. Each of the Swing components have been extended, providing
data-aware functionality out of the box. New useful components have been
created like the JXDatePicker, JXTaskPane, and JXImagePanel.
Comment 1 Mary Ellen Foster 2008-11-05 07:48:51 EST
Updated spec, now builds properly in mock and is rpmlint clean.

http://mef.fedorapeople.org/packages/java-libraries/swingx.spec
http://mef.fedorapeople.org/packages/java-libraries/swingx-0.9.4-2.src.rpm
Comment 2 Felix Kaechele 2008-11-23 07:23:17 EST
Looks good so far. Only thing I see is that you didn't comment on the patches within the SPEC file.  Could you please add a comment wether you filed a bug with upstream already or if this patches are Fedora specific. Also see https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

Also I'll be taking this bug for review now.
Comment 3 Mary Ellen Foster 2008-11-24 06:04:54 EST
Okay, I've added comments to all of the patches (none of which look like they're going away soon) and also updated the summary based on the recent discussion on fedora-devel list.

http://mef.fedorapeople.org/packages/java-libraries/swingx.spec
http://mef.fedorapeople.org/packages/java-libraries/swingx-0.9.4-4.src.rpm
Comment 4 Felix Kaechele 2008-11-24 09:23:20 EST
So here are my final findings after having a thorough look onto the package and the spec:

[+] rpmlint output is OK
    swingx.noarch: W: non-conffile-in-etc /etc/maven/fragments/swingx can be ignored because it actually is set as %config in the spec file
[+] package is named correctly
[+] matches upstream source md5
[-] meets the packaging guidelines:
BuildRoot tag is not correct as it does not include %{release}: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[+] License in SPEC matches actual license and is acceptable for Fedora
[+] If license is included it should be in %doc
[+] successfully compiles in mock
[+] build dependencies are in BuildRequires
[+] file permissions are correct
[+] javadoc Subpackage exists

One note on style:
You switch between ${RPM_BUILD_ROOT} and $RPM_BUILD_ROOT in %install which is not considered to be good style I believe. But actually this is not an issue.

After you fixed that tiny issues I'll most likely approve your package :)
Comment 5 Mary Ellen Foster 2008-12-09 11:35:42 EST
Fixed (hopefully!) -- I also added the dist to the version:

http://mef.fedorapeople.org/packages/java-libraries/swingx.spec
http://mef.fedorapeople.org/packages/java-libraries/swingx-0.9.4-5.fc10.src.rpm

Sorry for the delay.
Comment 6 Felix Kaechele 2008-12-09 11:47:51 EST
APPROVED.

You can now go ahead and request a CVS module.
Comment 7 Mary Ellen Foster 2008-12-09 11:57:17 EST
New Package CVS Request
=======================
Package Name: swingx
Short Description: A collection of Swing components
Owners: mef
Branches: F-9 F-10
InitialCC:
Comment 8 Kevin Fenzi 2008-12-09 22:19:07 EST
cvs done.
Comment 9 Fedora Update System 2008-12-10 04:53:22 EST
swingx-0.9.4-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/swingx-0.9.4-5.fc9
Comment 10 Fedora Update System 2008-12-10 04:56:27 EST
swingx-0.9.4-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/swingx-0.9.4-5.fc10
Comment 11 Fedora Update System 2008-12-11 03:01:14 EST
swingx-0.9.4-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update swingx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11159
Comment 12 Fedora Update System 2008-12-11 03:03:31 EST
swingx-0.9.4-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update swingx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11179
Comment 13 Fedora Update System 2009-01-07 23:17:34 EST
swingx-0.9.4-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-01-07 23:18:55 EST
swingx-0.9.4-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.